### Method

# Phosh NotifyManager add_notification

#### Declaration [src]

    void
    phosh_notify_manager_add_notification (
      PhoshNotifyManager* self,
      const gchar* source_id,
      int expire_timeout,
      PhoshNotification* notification
    )

#### Description [src]

Adds `notification` to the current list of notifications.

#### Parameters

`source_id`

  Type: `const gchar*`

  The notification source’s app_id.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`expire_timeout`

  Type: `int`

  When the notification should expire.

`notification`

  Type: `PhoshNotification`

  The notification.

  The data is owned by the caller of the method.